Subject: [Autoconf] Summary of topologies and addressing discussed recently

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 03 Mar 2009 17:07:07 +0100

Dear AUTOCONFers,

Recently there was discussion on the mailing list about topologies and 
addressing for AUTOCONF.  Some topologies for AUTOCONF were named and 
classified as:
       -only-MANET
       -MANET-to-Internet and
       -MANET-to-MANET-to-Internet (three or more levels)
       -MANET-to-Internet-to-MANET

Some topologies were pictured in more detail - they're listed below as
a summary.  Some participants seemed to agree on these topologies or
on some of their variations.

A simple topology:

         -----  wifi "adhoc1"  ------  wifi "adhoc2"  -----
        |Host1|---------------|Router|---------------|Host2|
         ----- LL1         LL2 ------ LL3        LL4  -----
               G1                                G4

        "adhoc1" and "adhoc2": 802.11 ESSIDs in "ad-hoc" mode.
                               Each is an IPv6 subnet.
        LL1...4: IPv6 link-local addresses.
                 Self-formed according to rfc2464.
        G1, G4:  IPv6 global addresses, for example
                 2001:db8:1::1/64 and
                 2001:db8:2::4/64
                 Manually assigned, or pre-configured with SNMP
                 or formed according to stateless autoconf rfc4862;
                 the prefixes are advertised by Router in RAs.

A simple topology with Routers:

        -------  wifi "adhoc1"  -------  wifi "adhoc2"  -------
       |Router1|---------------|Router2|---------------|Router3|
        ------ LL1          LL2 -------LL3          LL4 -------
               G1                                    G4

       G1, G4: ?

More details on the simple topology with Routers, /64 prefixes and
/128 addresses:

         -----  wifi "adhoc1"  ------  wifi "adhoc2"  -----
        |Host1|---------------|Router|---------------|Host2|
         ----- LL1    P1   LL2 ------ LL3   P2   LL4  -----
               G1                                G4

        G1, G4:  IPv6 global addresses, for example
                 2001:db8:1::1/128 and
                 2001:db8:2::4/128
                 Manually assigned, or pre-configured with SNMP
                 or formed according to stateless autoconf rfc4862;
                 the prefixes are advertised by Router in RAs.
        P1, P2:  IPv6 global prefixes, for example
                 2001:db8:1::/64 and
                 2001:db8:2::/64
                 Manually assigned, or pre-configured with SNMP.

Connecting it to Internet:

    -----  wifi "adhoc1"  ------  wifi "adhoc2"  --------     /
   |Host1|---------------|Router|---------------|Gatewway|---| Internet
    ----- LL1         LL2 ------ LL3        LL4  --------     \
          G1                                G4

        "adhoc1" and "adhoc2": 802.11 ESSIDs in "ad-hoc" mode.
                               Each is an IPv6 subnet.
        LL1...4: IPv6 link-local addresses.
                 Self-formed according to rfc2464.
        G1, G4: ?

Connecting it to Internet via a Satellite link:

  ------  wifi "adhoc1"  ------  wifi "adhoc2"  -------- Satelite /
|NEMOMR|---------------|Router|---------------|Gatewway|--------Int'net
  ------ LL1         LL2 ------ LL3        LL4  --------  TCA1    \
         G1                                 G4

        LL1...4: IPv6 link-local addresses.
                 Self-formed according to rfc2464.
        G1: address formed by NEMOMR either from RA sent by Router, or
            by DHCPv6 considering Router is a DHCPRelay and Gateway is
            a DHCPServer.
        G4: ?
        TCA: Topologically-Correct Address, for Gateway.  It can be
             manually configured on Gateway, or DHCP, or stateless
             autoconf.

In the multi-hop network below only /64 prefixes are present in
Routers' routing tables, no /128 (host-based) routes:

   -----  wifi "adhoc1"  ------  wifi "adhoc2"  ------- "adhoc3"-----
  |Host1|---------------|Router|---------------|Router2|-------|Host2|
   ----- LL1    P1   LL2 ------ LL3   P2   LL4  -------LL5 P3  LL6---
         G1                                                    G4

           P1, P2, P3: /64 prefixes, such as:
                       2001:db8:1::/64
                       2001:db8:2::/64 and
                       2001:db8:3::/64

Breaking the connectivity:

   -------  wifi "adhoc1"  -----   ????   -----  "adhoc2" --------
  |Router1|---------------|Host1|--/  /--|Host2|---------|Router2|
   ------- LL2    P1     LL1 ---          ----LL6   P2  LL6------
                         G1                   G4

Adding more interfaces of different types:

Router1 and Router2 are out of range. So R1 <--> H2 and H1 <--> R2.
Host1 MUST communicate to Host2, this is critical (live or dead).

     +-------+ wifi "adhoc1" +-------+ wifi "adhoc2" +-------+
     |Router1|>-------------<|Router2|>-------------<|Router3|
     +---L---+ LL1      LL21 +---L---+ LL22      LL3 +---L---+
         |M1                     |M2                     |M3

     "adhoc1" and "adhoc2": 802.11 SSIDs in "IBSS" mode.
     Each IBSS is an IPv6 subnet.

     L: Loopback interface.

     >, <: MANET interface.

     LL1, LL21, LL22, LL3: IPv6 link-local addresses.
        Self-formed according to rfc2464.

     M1, M2, M3: IPv6 MANET local addresses, for example
        FD01:db8::1/128, FD01:db8::2/128 and FD01:db8::3/128.
        Manually assigned, or pre-configured (e.g. with SNMP)
        or formed according to a to be defined [Autoconf for MANETs]
        protocol, with a to-be-defined prefix (e.g. ULA, RFC4193).

Again connecting to the Internet, this time via an Access Router:

                             Internet
                                 |
                                 |
                         +-------+-------+
                         | Access Router |
                         +-------+-------+
                                 |
                                 | | Prefix information
                                 | V
                                 |
     +-------+ wifi "adhoc1" +---+---+ wifi "adhoc2" +-------+
     |Router1|>-------------<|Router2|>-------------<|Router3|
     +---L---+ LL1      LL21 +---L---+ LL22      LL3 +---L---+
         |M1                     |M2                     |M3
         |G1                     |G2                     |G3
                    <-------           ------->
          Prefix information           Prefix information

     G1, G2, G3: IPv6 globally unique addresses, for example
        2001:db8:G:1/128, 2001:db8:G:2/128 and 2001:db8:G:3/128.
        Formed according to a to be defined [Autoconf for MANETs]
        protocol, with the prefix provided by (via) the Access Router.

Adding Multi-homing:

      ---+-------Internet--------+---
         |                       |
         |                       |
+-------+-------+       +-------+-------+
|Access Router H|       |Access Router G|
+-------+-------+       +-------+-------+
         |                       |
         ||Prefix information H  | |Prefix information G
         |V                      | V
         |                       |
     +---+---+ wifi "adhoc1" +---+---+ wifi "adhoc2" +-------+
     |Router1|>-------------<|Router2|>-------------<|Router3|
     +---L---+ LL1      LL21 +---L---+ LL22      LL3 +---L---+
         |M1                     |M2                     |M3
         |G1                     |G2                     |G3
         |H1                     |H2                     |H3
                    <-------           ------->
        Prefix information G         Prefix information G, H
               --------->
               Prefix information H

     H1, H2, H3: IPv6 globally unique addresses, for example
        2001:db8:H:1/128, 2001:db8:H:2/128 and 2001:db8:H:3/128.
        Formed according to a to be defined [Autoconf for MANETs]
        protocol, with the prefix provided by (via) Access Router H.

Effect of some links disappearing:

      ---+-------Internet------
         |
         |
+-------+-------+
|Access Router H|
+-------+-------+
         |
         ||Prefix information H
         |V                     wifi "adhoc1"
         |                   <---------------------------v-------->
  <------|--v---------------------->                     |
         |<-|--------------------v-----------------------|--->
         |  |                    |                       |
     +---+--'+               +---'---+               +---'---+
     |Router1|>-------------<|Router2|>-------------<|Router4|
     +---L---+ LL1      LL21 +---L---+ LL22      LL4 +---L---+
         |M1                     |M2                     |M4
         |H1                     |H2                     |H4

               --------->               --------->
               Prefix information H     Prefix information H

No computer movement, but obstacle mouvement:

(802.11 term: STA is station)

           +------------------------+   +------------------------+
           |                        |   |                        |
           |           ____STA-B    |   |           ____STA-B    |
           |       ___/      |      |   |       ___/             |
           |  STA-A          |      |   |  STA-A      OBSTACLE   |
           |      '--_       |      |   |      '--_              |
           |          '----STA-C    |   |          '----STA-C    |
           |  OBSTACLE              |   |                        |
           +------------------------+   +------------------------+
                1-1: No hindrance            1-2: B-C blocked

           +------------------------+   +------------------------+
           |                        |   |          O             |
           |           ____STA-B    |   |          B    STA-B    |
           |       ___/      |      |   |          S      |      |
           |  STA-A      OB  |      |   |  STA-A   T      |      |
           |            ST   |      |   |          A      |      |
           |           AC  STA-C    |   |          C    STA-C    |
           |         LE             |   |          LE            |
           +------------------------+   +------------------------+
                1-3: A-C blocked         1-4: A-B & A-C blocked

                 MANET Scenarios with blocking obstacle

Compare with this one:

(802.11 term: AP is access point)

           +------------------------+   +------------------------+
           |                        |   |                        |
           |           ____STA-B    |   |           ____STA-B    |
           |       ___/             |   |       ___/             |
           |   AP-A                 |   |   AP-A      OBSTACLE   |
           |      '--_              |   |      '--_              |
           |          '----STA-C    |   |          '----STA-C    |
           |  OBSTACLE              |   |                        |
           +------------------------+   +------------------------+
                4-1: No hindrance            4-2: No hindrance

           +------------------------+   +------------------------+
           |                        |   |          O             |
           |           ____STA-B    |   |          B    STA-B    |
           |       ___/             |   |          S             |
           |   AP-A      OB         |   |   AP-A   T             |
           |            ST          |   |          A             |
           |           AC  STA-C    |   |          C    STA-C    |
           |         LE             |   |          LE            |
           +------------------------+   +------------------------+
            4-3: A-C & B-C blocked         4-4: All blocked

              802.11 BSS L2 topology with blocking obstacle

|HAving them pictured, may I ask you: do you think anything will ever be
|able to communicate through Obstacles?

Yes, of course.

           +------------------------+   +------------------------+
           |                        |   |                        |
           |           ____STA-B    |   |           ____STA-B    |
           |       ___/ 1    |      |   |       ___/ 1    .      |
           |  STA-A          | 1    |   |  STA-A    obstacle 5   |
           |      '--_ 1     |      |   |      '--_ 1     .      |
           |          '----STA-C    |   |          '----STA-C    |
           |  obstacle              |   |                        |
           +------------------------+   +------------------------+
                2-1: No hindrance            2-2: B-C degraded

           +------------------------+   +------------------------+
           |                        |   |          o             |
           |           ____STA-B    |   |       5  b ...STA-B    |
           |       ___/ 1    |      |   |       ...s.     |      |
           |  STA-A      ob  | 1    |   |  STA-A  t       | 1    |
           |       ...  st   |      |   |       ...a.     |      |
           |       5  .ac..STA-C    |   |       5  c ...STA-C    |
           |         le             |   |          le            |
           +------------------------+   +------------------------+
                2-3: A-C degraded        2-4: A-B & A-C degraded

                 Scenarios with degrading obstacle

I depicted the metrics: 1 is good, 5 is degraded.

Here the routing tables, with metrics:

       ROUTER   DEST   NEXTHOP METRIC    ROUTER   DEST   NEXTHOP METRIC
      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   A   |   B   |   B   |    1 |  |   A   |   B   |   B   |    1 |
      |       |   C   |   C   |    1 |  |       |   C   |   C   |    1 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   B   |   A   |   A   |    1 |  |   B   |   A   |   A   |    1 |
      |       |   C   |   C   |    1 |  |       |   C   |   C   |    5 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   C   |   A   |   A   |    1 |  |   C   |   A   |   A   |    1 |
      |       |   B   |   B   |    1 |  |       |   B   |   B   |    5 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
           11-1: No hindrance                11-2: B-C is degraded

      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   A   |   B   |   B   |    1 |  |   A   |   B   |   B   |    5 |
      |       |   C   |   C   |    5 |  |       |   C   |   C   |    5 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   B   |   A   |   A   |    1 |  |   B   |   A   |   A   |    5 |
      |       |   C   |   C   |    1 |  |       |   C   |   C   |    1 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
      |   C   |   A   |   A   |    5 |  |   C   |   A   |   A   |    5 |
      |       |   B   |   B   |    1 |  |       |   B   |   B   |    1 |
      +-------+-------+-------+------+  +-------+-------+-------+------+
            11-3: A-C degraded               11-4: A-B & A-C degraded

Alex thanking the participants.

---

From: HyungJin Lim <[email-masked]>
Date: Wed, 4 Mar 2009 01:20:58 +0900

Hi, Alex

I think we should identify the impacts from address model we can choice.
for example, whether packet forwarding or packet routing.

The packet routing needs a satisfied route distributed time.
While the packet forwarding needs additional processing time for tunneling.

What do we should choice for proper address model?
I don't think only simplest scenario is important.

Thanks

Hyung-Jin, Lim

2009/3/4 Alexandru Petrescu <[email-masked]>

> _______________________________________________
> Autoconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/autoconf
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 03 Mar 2009 17:59:29 +0100

Hi Hyung-Jin,

> While the packet forwarding needs additional processing time for tunneling.

I think packet forwarding and packet routing is the same (I've heard of 
'map&encap' to mean something where a router presented with a packet to 
forward it searches its routing table (map) and then finds the next hop 
to be a tunnel interface, so it encapsulates the original packet).

> What do we should choice for proper address model?

I think the best address architecture one could come up with is the one 
that could be drawn on paper and circulated on the mailing list and 
agreed on by several people.

> I don't think only simplest scenario is important.

Let's first agree on the simplest scenario.  What's the simplest 
scenario for you?

Alex

>  
> Thanks
>  
> Hyung-Jin, Lim
> 
> 2009/3/4 Alexandru Petrescu <[email-masked] 
> <mailto:[email-masked]>>
> 
>     Dear AUTOCONFers,
> 
>     Recently there was discussion on the mailing list about topologies
>     and addressing for AUTOCONF.  Some topologies for AUTOCONF were
>     named and classified as:
>          -only-MANET
>          -MANET-to-Internet and
>     [email-masked] <mailto:[email-masked]>